Subject: Re: [Anima] Alissa Cooper's Discuss on draft-ietf-anima-bootstrapping-keyinfra-28: (with DISCUSS and COMMENT)

From: tom petch <[email-masked]>
Date: Thu, 2 Jan 2020 12:29:10 +0000

On 31/12/2019 22:01, Michael Richardson wrote:
>
> tom petch <[email-masked]> wrote:
>      > Security Considerations, the YANG Guidelines RFC says that you must mention
>      > TLS, HTTPS, etc and give pro forma text for doing so.  As long as you still
>      > have a YANG module, as you do in s.3.4, I would expect those guidelines to
>      > apply and so to see something like the pro forma text
>
> Please see:
>         https://www.rfc-editor.org/rfc/rfc8366.html#section-7.4
>
> TLS is already specified and discussed at length in the document.
> If you want me to copy the second paragraph from there in, I can do that, but
> it seems like needless text.  You can't implement BRSKI without reading
> RFC8366.

Looking at -32:

Security; OK, leave it be.

IANA yes, that is (almost) what I wanted - I suggest that the title of 
8.2 should be 'YANG Module Names Registry.

References still trouble me.

The YANG module has
reference "RFC xxxx Voucher Profile for Bootstrapping Protocols"

I cannot find an I-D of that name - it is not the name of this I-D; do 
you mean "Bootstrapping Remote Secure Key Infrastructure" which is the 
current title of this I-D and which I would I think would not appear to 
be the same reference to a layman?

Also on References, in -31 you had X.690 as a Normative Reference which 
I thought spot on - now you have removed the reference which I think 
wrong.  YANG 'leaf proximity-registrar-cert' mentions X.690 so I think that
a) you need a YANG reference clause for the leaf
b) you need a XML/HTML reference in the body of the I-D so as to avoid 
an unused ref error - 'The YANG module makes reference to [X.690] ' {or 
[ITU.X690.1994] }  is the way most authors address this
c} you need that reference restored to Normative References

Tom Petch

> --
> Michael Richardson <[email-masked]>, Sandelman Software Works
>   -= IPv6 IoT consulting =-
>
>
>

---

From: Michael Richardson <[email-masked]>
Date: Fri, 03 Jan 2020 13:34:31 -0500

I have pushed -33 with changes as below.

    > IANA yes, that is (almost) what I wanted - I suggest that the title of 8.2
    > should be 'YANG Module Names Registry.

fixed, sorry, stupid copy and paste error.

    > I cannot find an I-D of that name - it is not the name of this I-D; do you
    > mean "Bootstrapping Remote Secure Key Infrastructure" which is the current
    > title of this I-D and which I would I think would not appear to be the same
    > reference to a layman?

I have fixed it to say:
    reference
         "RFC XXXX: Bootstrapping Remote Secure Key Infrastructure";

But, as this is actually the voucher-request, should it instead say something
about that?

I also saw:
    reference "RFC 8366: Voucher Profile for Bootstrapping Protocols";

I have fixed it to:
    reference "RFC 8366: Voucher Artifact for Bootstrapping Protocols";

    > Also on References, in -31 you had X.690 as a Normative Reference which I
    > thought spot on - now you have removed the reference which I think wrong.
    > YANG 'leaf proximity-registrar-cert' mentions X.690 so I think that

Dang. I removed that because I couldn't find a reference to it, because in
the YANG, the reference is not in the normal fashion.  I've restored the
reference and fixed the YANG description

    > b) you need a XML/HTML reference in the body of the I-D so as to avoid an
    > unused ref error - 'The YANG module makes reference to [X.690] ' {or

I've put a reference into an appendix that the RFC editor should remove,
which is what I started doing earlier this week, then discovered the section
appeared empty.